de.esprit.appsuite.database.dbgui.tool

## Class TableEditCFG

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.launch.ApplicationConfig
      - - de.esprit.appsuite.database.dbase.clp.DatabaseConfig
        - - de.esprit.appsuite.database.dbgui.tool.TableEditCFG

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class TableEditCFG
      extends DatabaseConfig

  This is the configuration class for the `TableEditLaunch`
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableEditCFG(TableEditCLP clp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DBRecord` | `getDBRecord()`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseConfig

      `getCredDir, getCredential, getCredFile, toDumpString, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationConfig

      `getApplicationName, getCustomVersion, getEspritVersion, getLogDir, getStartLogLevel, getStartLogLevel, isDemoMode, isLogToFile, isNoConsoleLog, isPrintVersionOnly, isTestMode`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TableEditCFG

          public TableEditCFG(TableEditCLP clp)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getDBRecord

          public DBRecord getDBRecord()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.